### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection

# Class ConnectionFactoryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.services.connection.ConnectionFactoryException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

Direct Known Subclasses:
  `ConnectionTimeoutException`, `FatalConnectionFactoryException`, `LoginException`

@SASScope("ALL") @BinaryCompatibilityOnly public class ConnectionFactoryException extends Exception implements com.sas.util.ChainedExceptionInterface
The base class for all connection service exceptions. This exception may wrap lower level exceptions.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionFactoryException()`
  No-arg constructor.
  `ConnectionFactoryException(String msg)`
  Construct a connection factory exception with a message.
  `ConnectionFactoryException(String msg, Throwable nestedException)`
  Construct a connection factory exception with a message and a nested exception.
  `ConnectionFactoryException(Throwable nestedException)`
  Construct a connection factory exception with a nested exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getRootException()`
  `Throwable`
  `getTargetException()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConnectionFactoryException

    public ConnectionFactoryException()
    No-arg constructor.

  - ### ConnectionFactoryException

    public ConnectionFactoryException(String msg)
    Construct a connection factory exception with a message.
    Parameters:
      `msg` - a message providing further details about the exception

  - ### ConnectionFactoryException

    public ConnectionFactoryException(Throwable nestedException)
    Construct a connection factory exception with a nested exception.
    Parameters:
      `nestedException` - the exception that caused this exception

  - ### ConnectionFactoryException

    public ConnectionFactoryException(String msg, Throwable nestedException)
    Construct a connection factory exception with a message and a nested exception.
    Parameters:
      `msg` - a message providing further details about the exception
      `nestedException` - the exception that caused this exception

- ## Method Details

  - ### getTargetException

    public Throwable getTargetException()
    Specified by:
      `getTargetException` in interface `com.sas.util.ChainedExceptionInterface`

  - ### getRootException

    public Throwable getRootException()
    See Also:
      - `ChainedException.getRootException()`